Remove attribute relationship from an organisation

Disassociates an attribute from a specific organisation.

DELETE/api/v1/{app_id}/organisations/{organisation_id}/attributes/{attribute_id}
API
Auth
OpenAPI
auth-api
Updated
Apr 26, 2026

auth-api:DELETE:/api/v1/{app_id}/organisations/{organisation_id}/attributes/{attribute_id}

Disassociates an attribute from a specific organisation.

API ownership

  • API family: Auth API
  • Best for: Customer identity, session, token, cart, and wishlist flows.
  • Do not use from: Merchant admin data syncs or public catalog rendering.
  • Guide route: /apis/auth/latest

The OpenAPI contract defines the method, path, parameters, request body, and responses for this operation.

Operation

  • Method: DELETE
  • Path: /api/v1/\{app_id\}/organisations/\{organisation_id\}/attributes/\{attribute_id\}
  • Summary: Remove attribute relationship from an organisation
  • Description: Disassociates an attribute from a specific organisation.
  • OpenAPI contract: auth-api
  • Operation ID: Not documented in the OpenAPI contract.

Operation key uses API family, method, and path because this OpenAPI contract does not publish an operation ID.

Parameters3 parameters
NameInRequiredTypeDescription
app_idpathYesstringApplication ID
organisation_idpathYesstringOrganisation ID
attribute_idpathYesstringAttribute ID
Request bodyNo documented body

Not documented in the OpenAPI contract.

Responses4 statuses
StatusDescriptionContent
200The updated organisation objectapplication/json (object)
400Invalid request parametersapplication/json (object)
404Organisation or Attribute relationship not foundapplication/json (object)
500Internal server errorapplication/json (object)

200 - object

Get Organisation

PropertyTypeRequiredDetails
companyobjectNo-
Company
PropertyTypeRequiredDetails
app_idstringNo-
attributesobject[]No-
billing_addressobject[]No-
commentstringNo-
contact_namestringNo-
created_atstringNo-
credit_checkbooleanNo-
custom_fieldsobjectNo-
customer_groupsobject[]No-
emailstringNo-
external_refstringNo-
filesobject[]No-
idstringNo-
invoice_emailstringNo-
namestringNo-
organisation_numberstringNo-
parent_idstringNo-
phonestringNo-
shipping_addressobject[]No-
statusstringNo-
store_groupsobject[]No-
tagsobject[]No-
tax_id_vat_numberstringNo-
updated_atstringNo-
Attribute
PropertyTypeRequiredDetails
descriptionstringNo-
idstringNo-
keystringNo-
namestringNo-
template_keystringNo-
translationsobjectNo-
valuesobjectNo-
Company Address
PropertyTypeRequiredDetails
citystringNo-
co_addressstringNo-
company_idstringNo-
company_namestringNo-
countrystringNo-
created_atstringNo-
house_numberstringNo-
idstringNo-
is_defaultbooleanNo-
namestringNo-
phonestringNo-
postal_codestringNo-
shipping_typestringNo-
state_provincestringNo-
street_addressstringNo-
updated_atstringNo-
Customer Group Ref
PropertyTypeRequiredDetails
idstringNo-
namestringNo-
slugstringNo-
File
PropertyTypeRequiredDetails
app_idstringNo-
content_typestringNo-
created_atstringNo-
custom_fieldsobjectNo-
filenamestringNo-
idstringNo-
updated_atstringNo-
urlstringNo-
Store Group
PropertyTypeRequiredDetails
country_of_salestringNo-
created_atstringNo-
descriptionstringNo-
idstringNo-
namestringNo-
slugstringNo-
store_typestringNo-
updated_atstringNo-
Tag
PropertyTypeRequiredDetails
idstringNo-
keystringNo-
namestringNo-
{
  "company": {
    "app_id": "string",
    "attributes": [
      {
        "description": "string",
        "id": "string",
        "key": "string",
        "name": "string",
        "template_key": "string",
        "translations": {
          "description": null,
          "name": null
        },
        "values": {}
      }
    ],
    "billing_address": [
      {
        "city": "string",
        "co_address": "string",
        "company_id": "string",
        "company_name": "string",
        "country": "string",
        "created_at": "string",
        "house_number": "string",
        "id": "string",
        "is_default": false,
        "name": "string",
        "phone": "string",
        "postal_code": "string",
        "shipping_type": "string",
        "state_province": "string",
        "street_address": "string",
        "updated_at": "string"
      }
    ],
    "comment": "string",
    "contact_name": "string",
    "created_at": "string",
    "credit_check": false,
    "custom_fields": {},
    "customer_groups": [
      {
        "id": "string",
        "name": "string",
        "slug": "string"
      }
    ],
    "email": "string",
    "external_ref": "string",
    "files": [
      {
        "app_id": "string",
        "content_type": "string",
        "created_at": "string",
        "custom_fields": {},
        "filename": "string",
        "id": "string",
        "updated_at": "string",
        "url": "string"
      }
    ],
    "id": "string",
    "invoice_email": "string",
    "name": "string",
    "organisation_number": "string",
    "parent_id": "string",
    "phone": "string",
    "shipping_address": [
      {
        "city": "string",
        "co_address": "string",
        "company_id": "string",
        "company_name": "string",
        "country": "string",
        "created_at": "string",
        "house_number": "string",
        "id": "string",
        "is_default": false,
        "name": "string",
        "phone": "string",
        "postal_code": "string",
        "shipping_type": "string",
        "state_province": "string",
        "street_address": "string",
        "updated_at": "string"
      }
    ],
    "status": "string",
    "store_groups": [
      {
        "country_of_sale": "string",
        "created_at": "string",
        "description": "string",
        "id": "string",
        "name": "string",
        "slug": "string",
        "store_type": "string",
        "updated_at": "string"
      }
    ],
    "tags": [
      {
        "id": "string",
        "key": "string",
        "name": "string"
      }
    ],
    "tax_id_vat_number": "string",
    "updated_at": "string"
  }
}

400 - object

HTTP Error

PropertyTypeRequiredDetails
codeenum(201, 403, 401, 500, 404, 400, 409)No-
detailsstring[]No-
extra_fieldsobjectNo-
messagestringNo-

Generated example (synthetic):

{
  "code": 201,
  "details": [
    "string"
  ],
  "extra_fields": {},
  "message": "string"
}

404 - object

HTTP Error

PropertyTypeRequiredDetails
codeenum(201, 403, 401, 500, 404, 400, 409)No-
detailsstring[]No-
extra_fieldsobjectNo-
messagestringNo-

Generated example (synthetic):

{
  "code": 201,
  "details": [
    "string"
  ],
  "extra_fields": {},
  "message": "string"
}

500 - object

HTTP Error

PropertyTypeRequiredDetails
codeenum(201, 403, 401, 500, 404, 400, 409)No-
detailsstring[]No-
extra_fieldsobjectNo-
messagestringNo-

Generated example (synthetic):

{
  "code": 201,
  "details": [
    "string"
  ],
  "extra_fields": {},
  "message": "string"
}

Contract identity

Use these fields to confirm you are implementing the intended endpoint contract.

  • API family: Auth API
  • Method: DELETE
  • Path: /api/v1/\{app_id\}/organisations/\{organisation_id\}/attributes/\{attribute_id\}
  • Operation ID: Not documented in the OpenAPI contract.
  • OpenAPI tag: Attributes, Organisations
  • OpenAPI summary: Remove attribute relationship from an organisation

Remove attribute relationship from an organisation

# Remove attribute relationship from an organisation Disassociates an attribute from a specific organisation.
DELETE /api/v1/{app_id}/organisations/{organisation_id}/attributes/{attribute_id}
Purpose

Disassociates an attribute from a specific organisation.

Required inputs

app_id path organisation_id path attribute_id path

Primary response

200 ยท The updated organisation object

Operation key

auth-api:DELETE:/api/v1/{app_id}/organisations/{organisation_id}/attributes/{attribute_id}

## API ownership - API family: Auth API - Best for: Customer identity, session, token, cart, and wishlist flows. - Do not use from: Merchant admin data syncs or public catalog rendering. - Guide route: [/apis/auth/latest](/apis/auth/latest) The OpenAPI contract defines the method, path, parameters, request body, and responses for this operation. ## Operation - Method: `DELETE` - Path: `/api/v1/{app_id}/organisations/{organisation_id}/attributes/{attribute_id}` - Summary: Remove attribute relationship from an organisation - Description: Disassociates an attribute from a specific organisation. - OpenAPI contract: auth-api - Operation ID: Not documented in the OpenAPI contract. - Stable operation key: `auth-api:DELETE:/api/v1/{app_id}/organisations/{organisation_id}/attributes/{attribute_id}` Operation key uses API family, method, and path because this OpenAPI contract does not publish an operation ID. ## Parameters | Name | In | Required | Type | Description | | --- | --- | --- | --- | --- | | app_id | path | Yes | string | Application ID | | organisation_id | path | Yes | string | Organisation ID | | attribute_id | path | Yes | string | Attribute ID | ## Request body Not documented in the OpenAPI contract. ## Responses | Status | Description | Content | | --- | --- | --- | | 200 | The updated organisation object | application/json (object) | | 400 | Invalid request parameters | application/json (object) | | 404 | Organisation or Attribute relationship not found | application/json (object) | | 500 | Internal server error | application/json (object) | ### 200 - object #### Get Organisation | Property | Type | Required | Details | | --- | --- | --- | --- | | `company` | object | No | - | ##### Company | Property | Type | Required | Details | | --- | --- | --- | --- | | `app_id` | string | No | - | | `attributes` | object[] | No | - | | `billing_address` | object[] | No | - | | `comment` | string | No | - | | `contact_name` | string | No | - | | `created_at` | string | No | - | | `credit_check` | boolean | No | - | | `custom_fields` | object | No | - | | `customer_groups` | object[] | No | - | | `email` | string | No | - | | `external_ref` | string | No | - | | `files` | object[] | No | - | | `id` | string | No | - | | `invoice_email` | string | No | - | | `name` | string | No | - | | `organisation_number` | string | No | - | | `parent_id` | string | No | - | | `phone` | string | No | - | | `shipping_address` | object[] | No | - | | `status` | string | No | - | | `store_groups` | object[] | No | - | | `tags` | object[] | No | - | | `tax_id_vat_number` | string | No | - | | `updated_at` | string | No | - | ##### Attribute | Property | Type | Required | Details | | --- | --- | --- | --- | | `description` | string | No | - | | `id` | string | No | - | | `key` | string | No | - | | `name` | string | No | - | | `template_key` | string | No | - | | `translations` | object | No | - | | `values` | object | No | - | ##### Company Address | Property | Type | Required | Details | | --- | --- | --- | --- | | `city` | string | No | - | | `co_address` | string | No | - | | `company_id` | string | No | - | | `company_name` | string | No | - | | `country` | string | No | - | | `created_at` | string | No | - | | `house_number` | string | No | - | | `id` | string | No | - | | `is_default` | boolean | No | - | | `name` | string | No | - | | `phone` | string | No | - | | `postal_code` | string | No | - | | `shipping_type` | string | No | - | | `state_province` | string | No | - | | `street_address` | string | No | - | | `updated_at` | string | No | - | ##### Customer Group Ref | Property | Type | Required | Details | | --- | --- | --- | --- | | `id` | string | No | - | | `name` | string | No | - | | `slug` | string | No | - | ##### File | Property | Type | Required | Details | | --- | --- | --- | --- | | `app_id` | string | No | - | | `content_type` | string | No | - | | `created_at` | string | No | - | | `custom_fields` | object | No | - | | `filename` | string | No | - | | `id` | string | No | - | | `updated_at` | string | No | - | | `url` | string | No | - | ##### Store Group | Property | Type | Required | Details | | --- | --- | --- | --- | | `country_of_sale` | string | No | - | | `created_at` | string | No | - | | `description` | string | No | - | | `id` | string | No | - | | `name` | string | No | - | | `slug` | string | No | - | | `store_type` | string | No | - | | `updated_at` | string | No | - | ##### Tag | Property | Type | Required | Details | | --- | --- | --- | --- | | `id` | string | No | - | | `key` | string | No | - | | `name` | string | No | - |
Generated example (synthetic) ```json { "company": { "app_id": "string", "attributes": [ { "description": "string", "id": "string", "key": "string", "name": "string", "template_key": "string", "translations": { "description": null, "name": null }, "values": {} } ], "billing_address": [ { "city": "string", "co_address": "string", "company_id": "string", "company_name": "string", "country": "string", "created_at": "string", "house_number": "string", "id": "string", "is_default": false, "name": "string", "phone": "string", "postal_code": "string", "shipping_type": "string", "state_province": "string", "street_address": "string", "updated_at": "string" } ], "comment": "string", "contact_name": "string", "created_at": "string", "credit_check": false, "custom_fields": {}, "customer_groups": [ { "id": "string", "name": "string", "slug": "string" } ], "email": "string", "external_ref": "string", "files": [ { "app_id": "string", "content_type": "string", "created_at": "string", "custom_fields": {}, "filename": "string", "id": "string", "updated_at": "string", "url": "string" } ], "id": "string", "invoice_email": "string", "name": "string", "organisation_number": "string", "parent_id": "string", "phone": "string", "shipping_address": [ { "city": "string", "co_address": "string", "company_id": "string", "company_name": "string", "country": "string", "created_at": "string", "house_number": "string", "id": "string", "is_default": false, "name": "string", "phone": "string", "postal_code": "string", "shipping_type": "string", "state_province": "string", "street_address": "string", "updated_at": "string" } ], "status": "string", "store_groups": [ { "country_of_sale": "string", "created_at": "string", "description": "string", "id": "string", "name": "string", "slug": "string", "store_type": "string", "updated_at": "string" } ], "tags": [ { "id": "string", "key": "string", "name": "string" } ], "tax_id_vat_number": "string", "updated_at": "string" } } ```
### 400 - object #### HTTP Error | Property | Type | Required | Details | | --- | --- | --- | --- | | `code` | enum(201, 403, 401, 500, 404, 400, 409) | No | - | | `details` | string[] | No | - | | `extra_fields` | object | No | - | | `message` | string | No | - | **Generated example (synthetic):** ```json { "code": 201, "details": [ "string" ], "extra_fields": {}, "message": "string" } ``` ### 404 - object #### HTTP Error | Property | Type | Required | Details | | --- | --- | --- | --- | | `code` | enum(201, 403, 401, 500, 404, 400, 409) | No | - | | `details` | string[] | No | - | | `extra_fields` | object | No | - | | `message` | string | No | - | **Generated example (synthetic):** ```json { "code": 201, "details": [ "string" ], "extra_fields": {}, "message": "string" } ``` ### 500 - object #### HTTP Error | Property | Type | Required | Details | | --- | --- | --- | --- | | `code` | enum(201, 403, 401, 500, 404, 400, 409) | No | - | | `details` | string[] | No | - | | `extra_fields` | object | No | - | | `message` | string | No | - | **Generated example (synthetic):** ```json { "code": 201, "details": [ "string" ], "extra_fields": {}, "message": "string" } ``` ## Contract identity Use these fields to confirm you are implementing the intended endpoint contract. - API family: Auth API - Method: `DELETE` - Path: `/api/v1/{app_id}/organisations/{organisation_id}/attributes/{attribute_id}` - Operation ID: Not documented in the OpenAPI contract. - Stable operation key: `auth-api:DELETE:/api/v1/{app_id}/organisations/{organisation_id}/attributes/{attribute_id}` - OpenAPI tag: Attributes, Organisations - OpenAPI summary: Remove attribute relationship from an organisation